Loading…
Loading…
Base URL: https://mantechstudio.in/api/v1
All API requests must include your ManTech API Key in the HTTP Authorization header as a Bearer token:
Authorization: Bearer mantech_live_YOUR_SECRET_KEY
Calculates exclusive or inclusive GST and splits CGST, SGST, or IGST based on state codes or explicit supply type.
curl -X POST "https://mantechstudio.in/api/v1/gst/calculate" \
-H "Authorization: Bearer mantech_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 10000,
"gst_rate": 18,
"calculation_type": "exclusive",
"supplier_state_code": "08",
"place_of_supply_state_code": "27"
}'Calculates complete invoices with line-item discounts, per-line GST rates, and HSN code validation.
{
"supply_type": "intra_state",
"items": [
{
"description": "Portland Cement OPC 53 Grade",
"hsn_code": "25232910",
"quantity": 100,
"unit_price": 380,
"discount": { "type": "percentage", "value": 5 }
}
]
}